Subject: Re: [dispatch] [media-types] Proposed/draft charter for "mediaman"

From: "Paul Libbrecht" <[email-masked]>
Date: Wed, 23 Jun 2021 09:00:26 +0200

Hello Murray,

Here are two reasons that I think may be convincing to change the 
template:

- the old Macintosh 4-letter code is long dead
- macOS UTIs are and have always been specified by Apple. Finding 
documentation on them is often a sport. As far one could see until 2010: 
no more registration, applications are free to register UTIs. As a side 
effect of the proprietary nature, it appears that around 2010 Apple 
started to indicate that the `public` subtree of the UTIs is reserved to 
types declared by Apple. Other documentation pages still do not mention 
this. As a result… Some UTI declarations (e.g. in use in widespread 
desktop apps) thus have become invalid. The media-type inclusion of UTIs 
can help against this unpredictability.

You are right that clipboard types tend not to be a super-fashionable 
topic and I find it rather good that this does not trigger a flood of 
mails such as the discussion on the necessity of a new prefix.

Thanks in advance.

Paul

On 23 Jun 2021, at 0:36, Murray S. Kucherawy wrote:

> On Wed, Jun 16, 2021 at 11:00 PM Paul Libbrecht <[email-masked]> 
> wrote:
>
>> I am wondering if the group is the right place to prepare an update 
>> of the
>> registration template so as remove the Macintosh 4-letter-codes and 
>> insert
>> clipboard flavours for windows and universal type identifiers for 
>> macOS.
>>
>> This was discussed a few times on this mailing list.
>> I have been in contact with a few media-type proposers, some of which 
>> have
>> accepted a change of their declaration in this direction.
>> I have been in contact with one IETF-aware person to update RFC6838 
>> but
>> that has not progressed.
>>
>
> There's been no feedback from anyone else, up or down, about this 
> idea.  My
> own impression is that this isn't quite within scope of what we're 
> talking
> about for this effort, but then again it makes sense to include this 
> now
> rather than spin up a subsequent effort or wait for the next train.
> Naturally I'm happy to include this in the proposed charter if there's
> consensus to include it.
>
> I'm just about to enqueue the charter we have in hand for its first 
> IESG
> review pass before it goes out for general review.  If this or any 
> other
> change should be included in that submission, please (everyone, 
> anyone) say
> something sooner rather than later.
>
> -MSK

> _______________________________________________
> media-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types